# eric4.Checks.PyLint.PyLintExecDialog

Module implementing a dialog to show the results of the PyLint run.

### Classes

PyLintExecDialog | Class implementing a dialog to show the results of the PyLint run.

### Functions

None

## PyLintExecDialog

Class implementing a dialog to show the results of the PyLint run.

This class starts a QProcess and displays a dialog that shows the results of the PyLint command process.

### Derived from

QWidget, Ui_PyLintExecDialog

### Methods

PyLintExecDialog | Constructor
__createItem | Private method to create an entry in the message list.
__finish | Private slot called when the process finished.
__readParseStdout | Private slot to handle the readyReadStandardOutput signal for parseable output.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__writeReport | Private slot to write the report to a report file.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_messageList_itemActivated | Private slot to handle the itemActivated signal of the message list.
on_saveButton_clicked | Private slot to save the report to a file.
start | Public slot to start PyLint.

#### PyLintExecDialog (Constructor)

PyLintExecDialog(parent = None)

Constructor

parent
  parent widget of this dialog (QWidget)

#### PyLintExecDialog.__createItem

__createItem(file, line, type_, message)

Private method to create an entry in the message list.

file
  filename of file (string or QString)
line
  linenumber of message (integer or string)
type_
  type of message (string or QString)
message
  message text (string or QString)

#### PyLintExecDialog.__finish

__finish()

Private slot called when the process finished.

It is called when the process finished or the user pressed the button.

#### PyLintExecDialog.__readParseStdout

__readParseStdout()

Private slot to handle the readyReadStandardOutput signal for parseable output.

It reads the output of the process, formats it and inserts it into the message list pane.

#### PyLintExecDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### PyLintExecDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### PyLintExecDialog.__writeReport

__writeReport()

Private slot to write the report to a report file.

#### PyLintExecDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### PyLintExecDialog.on_messageList_itemActivated

on_messageList_itemActivated(itm, column)

Private slot to handle the itemActivated signal of the message list.

itm
  The message item that was activated (QTreeWidgetItem)
column
  column the item was activated in (integer)

#### PyLintExecDialog.on_saveButton_clicked

on_saveButton_clicked()

Private slot to save the report to a file.

#### PyLintExecDialog.start

start(args, fn, reportFile, ppath)

Public slot to start PyLint.

args
  commandline arguments for documentation programPyLint (QStringList)
fn
  filename or dirname to be processed by PyLint
reportFile
  filename of file to write the report to (string or QString)
ppath
  project path (string or QString)

Returns:
  flag indicating the successful start of the process

Up